code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash -e # # Publishes the release to S3 for hmlinter. CURRENT_VERSION=$(node -p "require('./packages/eslint-config-humanmade/package.json').version") echo "Creating archives of $CURRENT_VERSION for hmlinter" test -d archives || mkdir archives # Prepare phpcs standard test -d phpcs-standard && rm -r phpcs-stan...
jazzsequence/games-collector
vendor/humanmade/coding-standards/publish.sh
Shell
gpl-3.0
1,626
echo Configuring Docker app # TODO: Write shell script to configure Docker app echo Copying Docker app config into upstart... sudo cp /ops/upstart/docker_app.conf /etc/init/docker_app.conf
Test-Betta-Inc/atlas-examples
docker/ops/packer/scripts/docker_app.sh
Shell
mpl-2.0
189
#!/bin/sh set -e if [ -z "$NODE_ENV" ]; then export NODE_ENV=test; fi; set -u node ./fxa-oauth-server/scripts/gen_keys.js GLOB=$* if [ -z "$GLOB" ]; then GLOB="fxa-oauth-server/test/*.js fxa-oauth-server/test/routes/*.js fxa-oauth-server/test/db/*.js" fi DEFAULT_ARGS="-R spec --timeout 20000 --recursive --exit"...
mozilla/fxa-auth-server
fxa-oauth-server/scripts/test-local.sh
Shell
mpl-2.0
370
#!/usr/bin/env bash # This script makes sure we have Nix tools available GIT_ROOT=$(cd "${BASH_SOURCE%/*}" && git rev-parse --show-toplevel) # Location of profile script for Nix that adjusts PATH export NIX_PROFILE_SH="${HOME}/.nix-profile/etc/profile.d/nix.sh" function source_nix() { # Just stop if Nix is alread...
status-im/status-react
nix/scripts/source.sh
Shell
mpl-2.0
802
#!/bin/bash echo -e "\nRunning: (pep8 --show-source --show-pep8 --select=errors --testsuite=.)\n\n" pep8 --show-source --show-pep8 --select=errors --testsuite=./ echo -e "\n\n"
GbalsaC/bitnamiP
venv/src/django-ipware/pep8.sh
Shell
agpl-3.0
178
#!/bin/bash ########## LICENCE ########## # Copyright (c) 2014 Genome Research Ltd. # # Author: Keiran Raine <cgpit@sanger.ac.uk> # # This file is part of cgpPindel. # # cgpPindel is free software: you can redistribute it and/or modify it under # the terms of the GNU Affero General Public License as published by the F...
cancerit/cgpAnalyseHub
prerelease.sh
Shell
agpl-3.0
2,785
#!/bin/bash #### # Metabase Report server Elastic Beanstalk metabase-setup.sh # Modify the environmental variables to customize your installation # Unset a variable to disable a feature #### # add files to papertrail pt_files () { sed -i '/ - .*/d' /etc/log_files.yml set -f for file in $PAPERTRAIL_FILES; ...
metabasecn/metabasecn
bin/aws-eb-docker/.ebextensions/metabase_config/metabase-setup.sh
Shell
agpl-3.0
6,258
# Copyright 2013 Telefonica Investigacion y Desarrollo, S.A.U # # This file is part of Orion Context Broker. # # Orion Context Broker is free software: you can redistribute it and/or # modify it under the terms of the GNU Affero General Public License as # published by the Free Software Foundation, either version 3 of ...
pacificIT/fiware-orion
test/functionalTest/harnessFunctions.sh
Shell
agpl-3.0
33,799
#!/bin/bash psql -d neppit -c "DROP TABLE boards" psql -d neppit -c "DROP TABLE posts" psql -d neppit -c "DROP TABLE admins"
nokaa/neppit
drop_tables.sh
Shell
agpl-3.0
126
#!/bin/sh # Cleanup old #rm -rf ~/.grails/ivy-cache #rm -rf ~/.m2/repository # Setup ivy cache #mkdir -p ~/.grails #cd ~/.grails #tar xvfz $OMAR_HOME/plugins/ivyCache.tgz # Setup maven cache #mkdir -p ~/.m2 #cd ~/.m2 #tar xvfz $OMAR_HOME/plugins/m2Repository.tgz # Package OMAR plugins cd $OMAR_DEV_HOME/plugins for ...
radiantbluetechnologies/omar
package-omar-plugins.sh
Shell
lgpl-2.1
953
#! /bin/bash # Check that saving preserves mode and ownership; for this test to make # much sense (if any) the user running it should have at least one # supplementary group root=$abs_top_builddir/build/preserve hosts=$root/etc/hosts init_dirs() { rm -rf $root mkdir -p $(dirname $hosts) } stat_inode() { ls -il $1 |...
camptocamp/augeas
tests/test-preserve.sh
Shell
lgpl-2.1
2,506
#!/bin/bash # # Copyright(C) 2010 Tetsuro IKEDA # Copyright(C) 2010-2021 Sutou Kouhei <kou@clear-code.com> # Copyright(C) 2011 Kazuhiko # # This library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation...
mroonga/mroonga
test/run-sql-test.sh
Shell
lgpl-2.1
8,638
#!/bin/sh . /opt/pyrame/ports.sh if test $# -lt 1 then echo "usage $0 sigpulse_id" exit 1 fi chkpyr2.py localhost $SIGPULSE_PORT inval_sigpulse $@
sbinet-staging/pyrame
pg/cmd_sigpulse/inval.sh
Shell
lgpl-3.0
152
#!/bin/sh java -cp $JAVA_HOME/lib/tools.jar:threadTop-1.1.jar com.performizeit.threadtop.Main $*
lifey/Java-threadTop
src/main/scripts/threadTop.sh
Shell
lgpl-3.0
97
glslangValidator -V shader.vert glslangValidator -V shader.frag
WarpOrganization/warp
graphics/src/main/resources/net/warpgame/engine/graphics/program/compile.sh
Shell
lgpl-3.0
63
#!/bin/bash # normal git push git push run cat: run: Is a directory stage.sh #!/bin/bash git checkout staging git merge develop git branch
cheiff/scripts
push.sh
Shell
unlicense
139
#!/bin/bash docker run \ -d \ -v /app:/app \ --name data \ mylibrary/data
Normegil/MyLibrary-JS
docker/Data-Only/Run.sh
Shell
unlicense
82
#!/bin/ash -x #INIT . ~/.nnl-builder/settings #PARAMS NAME=syslinux VER=4.07 REL=2 BUILD_DIR=$NAME-$VER INSTALL_DIR=$NAME-root SOURCE_DIR=$OPKG_WORK_SOURCES/$NAME EXTERNAL_SRC_0=$NAME-$VER.tar.bz2 EXTERNAL_URL_0=$URL_KERNEL/utils/boot/syslinux #PREP cd $OPKG_WORK_BUILD rm -rf $BUILD_DIR tar xf $SOURCE_DIR/$EXTERNA...
ryojikamei/nnl-builder
scripts/0045_syslinux.sh
Shell
apache-2.0
906
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=GNU-Linux CND_CONF=Debug CND_DISTDIR=dist CND_BUILDDIR=build CND_DLIB_EXT=so NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/tutorial21 OUTPU...
TennisGazelle/cs791ALopez
ogldev-source/tutorial21/nbproject/Package-Debug.bash
Shell
apache-2.0
1,457
#!/bin/bash # Copyright 2020 The Kubernetes Authors. # SPDX-License-Identifier: Apache-2.0 MYGOBIN=$(go env GOBIN) MYGOBIN="${MYGOBIN:-$(go env GOPATH)/bin}" VERSION=$1 $MYGOBIN/go-bindata \ --pkg "${VERSION//.}" \ -o kubernetesapi/"${VERSION//.}"/swagger.go \ kubernetesapi/"${VERSION//.}"/swagger.json
kubernetes-sigs/kustomize
kyaml/openapi/scripts/generateSwaggerDotGo.sh
Shell
apache-2.0
312
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # https://oneinstack.com # https://github.com/lj2007331/oneinstack Upgrade_Redis() { cd $oneinstack_dir/src [ ! -d "$redis_insta...
batpig61/lnmp
include/upgrade_redis.sh
Shell
apache-2.0
2,247
#!/usr/bin/env bash # Copyright 2020 The ShaderTrap Project Authors # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
google/shadertrap
scripts/check_clang_tidy.sh
Shell
apache-2.0
959
#!/bin/bash TAGS=(8.1.0.Final 8.2.0.Final 8.2.1.Final 9.0.0.Final 9.0.1.Final 9.0.2.Final 10.0.0.Final 10.1.0.Final) for tag in ${TAGS[@]}; do sed -e "s/<VERSION>/${tag}/g" Dockerfile.tpl > Dockerfile docker build --tag=jboss/wildfly-admin:${tag} . rm Dockerfile done
arquillian/arquillian-extension-persistence
_docker/create_images.sh
Shell
apache-2.0
282
#!/bin/bash set -e # to find llvm-config #export PATH=/path/to/src/llvm/build/bin/:$PATH # added to python path #export PY_LIBCLANG=/path/to/src/llvm/tools/clang/bindings/python listdir="$(pwd)/" pushd ../tracergen/ for list in cstd_headers.txt posix_headers.txt openssl_headers.txt; do out="$(basename -s '_heade...
f0rki/LLTap
tracers/generate.sh
Shell
apache-2.0
453
#!/bin/sh echo 1:"$1" 2:"$2" 3:"$3" >> ./args-record
davmac314/dinit
src/igr-tests/var-subst/checkargs.sh
Shell
apache-2.0
54
#!/bin/bash set -e readonly NAMESPACE=${1} readonly ITERATION=${2} readonly THREADS=${3} readonly WORKLOAD=${4} readonly output_dir=${5} readonly REDIS_IP=$(oc get svc -n ${NAMESPACE} | grep -v glusterfs | grep redis | awk '{print $3}') readonly REDIS_POD=$(oc get pod -n ${NAMESPACE} | grep -v Completed | grep redis...
mffiedler/svt
storage/redis/files/scripts/test-redis.sh
Shell
apache-2.0
1,561
#!/usr/bin/env bash # vim: fdm=marker # Common functions for text #*************************************************************************** # Copyright 2011-2015, cybeliak # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may ...
cybeliak/mispronounceableness
mpn_steps/common/text.sh
Shell
apache-2.0
1,753
#!/usr/bin/env bash # Release pkg template and configuration to nerv file #$1 root dir to upload #$2 file repository if [ "$1" == "" ]; then echo "no dir to upload" exit 1 fi if [ "$2" == "" ]; then echo "no file repository" exit 1 fi FILE_REPOSITORY=$2 function upload() { #$1 file root #$2...
ChaosXu/nerv-demo-java
build/upload.sh
Shell
apache-2.0
929
#!/bin/bash -ue SCRIPT_NAME=$(basename $0) SCRIPT_DIR=$(cd $(dirname $0); pwd) PRJ_HOME=$SCRIPT_DIR/../ if [ $# -ne 2 ]; then echo "$SCRIPT_NAME old new" 1>&2 exit 1 fi ( cd $PRJ_HOME ls \ utl/*.[ch] \ utl/tests/*.[ch]pp \ \ btc/*.[ch] \ btc/tests/*.[ch]pp \ btc/examples/*.[ch] \ \ ln/*...
nayutaco/ptarmigan
tools/rename.sh
Shell
apache-2.0
584
#! /bin/bash ## Import Script SERVER=http://localhost:8080/APIServer #SERVER=http://localhost:8080 #Connect target server lacadmin logout -a target lacadmin login -u admin -p Password1 $SERVER -a target lacadmin use target #Import Libraries and link lacadmin libraries import --file demo/libraries.json #Import Proj...
EspressoLogicCafe/CALiveAPICreatorAdminCLI
samples/importdemo.sh
Shell
apache-2.0
1,720
#!/bin/bash FILE="$PWD/.archives/builds.tgz" if [ -f $FILE ]; then echo "Extracting builds..." tar -zxf $FILE 2>/dev/null echo "Builds extracted from $FILE." else echo "No builds archive found." fi
Autodesk/hig
scripts/extract-builds.sh
Shell
apache-2.0
206
#!/bin/bash MYSQL_NUM=`ps -ef | grep mysql | grep -v 'grep' | wc -l` if [ "x$MYSQL_NUM" != "x2" ];then service mysqld start fi NGINX_NUM=`ps -ef | grep nginx | grep -v 'grep' | wc -l` if [ "x$NGINX_NUM" != "x2" ];then /usr/sbin/nginx fi
xiaolongzuo/personal-blog-webapp
auto_restart_service.sh
Shell
apache-2.0
240
if [ $# -ne 1 ] then echo "Supply the Cache Size" exit fi for blockFactor in 1 2 4 5 10 20 25 50 100 do echo 'Blockfactor used' ${blockFactor} ./blocking ${blockFactor} | ./cache -s$1k done
devang1994/3F5Caches
tester_simple.sh
Shell
apache-2.0
217
bazel build -c opt tensorflow/examples/detector/...
whn09/tensorflow
build_detector.sh
Shell
apache-2.0
52
#!/bin/bash # Used in Taverna workflow: # http://www.myexperiment.org/workflows/4144.html (processor: tomar_prepare_hadoopjob) # Variables embraced by two 'percent' symbols are Taverna variables, they must either be # substituted by Taverna input port values or replaced by other inputs in this # script. # Input varia...
openpreserve/hawarp
tomar-prepare-inputdata/scripts/prepare-input.sh
Shell
apache-2.0
1,386
#!/bin/bash if [ $# -eq 0 ] # no argument then echo "need the file name" else fileName=$1 echo "$fileName" suff1=.txt add=LM.txt fileNameRad=${fileName%$suff1} fileNameLM=${fileName%$suff1}$add cd cd Documents/workspace/structured-topics/ #echo "${fileNameRad}graph.bin" echo "java -jar /Users/simondif/Doc...
smndf/structured-topics
scriptLM.sh
Shell
apache-2.0
1,627
#!/bin/bash bridge=$1 controller=$2 local_ip=$3 sudo ovs-vsctl -- --if-exists del-br $bridge sudo ovs-vsctl -- --may-exist add-br $bridge sudo ovs-vsctl set-controller $bridge $controller sudo ovs-vsctl set bridge $bridge protocols=OpenFlow10 sudo ovs-vsctl set-fail-mode $bridge secure sudo ovs-vsctl set controller ...
spandanb/vino_orc
setup_br.sh
Shell
apache-2.0
865
#!/bin/bash cat > converter-deployment.yaml << EOF apiVersion: extensions/v1beta1 kind: Deployment metadata: name: converter-deployment spec: replicas: 1 selector: matchLabels: app: converter env: stage template: metadata: name: converter labels: app: conver...
corekube/converter
k8s/stage/deployment/create-converter-deployment.yaml.sh
Shell
apache-2.0
2,989
#!/bin/sh DIRNAME=`dirname "$0"` PROGNAME=`basename "$0"` GREP="grep" # Use the maximum available, or set MAX_FD != -1 to use that MAX_FD="maximum" # # Helper to complain. # warn() { echo "${PROGNAME}: $*" } # # Helper to puke. # die() { warn $* exit 1 } # OS specific support (must be 'true' or 'false'...
picketbox/tomcat-vault
bin/vault.sh
Shell
apache-2.0
2,484
#!/bin/bash # # Initial data for Keystone using python-keystoneclient # # Tenant User Roles # ------------------------------------------------------------------ # admin admin admin # service glance admin # service nova admin, [ResellerAdmin (swift ...
ykaneko/devstack
files/keystone_data.sh
Shell
apache-2.0
13,630
#!/bin/bash set -evx cd $(dirname $(readlink -f $0)) PROJECT_FILE="utPLSQL-demo-project" git clone -b develop --single-branch https://github.com/utPLSQL/utPLSQL-demo-project.git cat > demo_project.sh.tmp <<EOF sqlplus -S -L sys/oracle@//127.0.0.1:1521/xe AS SYSDBA <<SQL create user ${DB_USER} identified by ${DB_PASS}...
utPLSQL/utPLSQL-java-api
.travis/install_demo_project.sh
Shell
apache-2.0
1,342
sudo apt-get install -y boinc-amd-opencl #- metapackage for AMD/ATI OpenCL-savvy BOINC client and manager sudo apt-get install -y python-pyopencl #- module to access OpenCL parallel computation API sudo apt-get install -y opencl-headers #- OpenCL (Open Computing Language) header files sudo apt-get install -y qt3-dev-...
bayvictor/distributed-polling-system
bin/wget_opencl_demo_n_run.sh
Shell
apache-2.0
618
complete -o default -W "cat collect inspect info ocpshell shell run version" insights
RedHatInsights/insights-core
insights-completion.bash
Shell
apache-2.0
86
# TESTING CHANGES # Documentation on testing local changes to this lives here: # https://github.com/habitat-sh/habitat/blob/master/BUILDING.md#testing-changes # shellcheck disable=2034 studio_type="baseimage" studio_path="$HAB_ROOT_PATH/bin" studio_enter_environment= studio_build_environment= studio_build_command= stu...
habitat-sh/habitat
components/studio/libexec/hab-studio-type-baseimage.sh
Shell
apache-2.0
4,466
cat mediawiki-core-report/lib/json/git-log.json | \ jq 'reduce .[] as $item ({}; . + {($item.author): $item})' cat mediawiki-core-report/lib/json/git-log.json | \ jq 'reduce .[] as $item ({}; . + {($item.author): $item})'
textarcana/code-quality-report
jq-mapreduce-scratchpad.sh
Shell
apache-2.0
256
#!/bin/bash # Copyright 2017 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by a...
ButterflyNetwork/bazel
tools/android/desugar.sh
Shell
apache-2.0
8,041
#!/bin/bash # CAUTION: Executing this script is a destructive operation. # Will stop all running containers then remove all unused container images, volumes and networks. read -n1 -r -p "This script will stop all running containers then remove all unused container images, volumes and networks. Do you wish to continu...
fastnsilver/jenky
compose/teardown.sh
Shell
apache-2.0
610
#!/usr/bin/env bash # Copyright 2012 Cloudera Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agre...
dayutianfei/impala-Q
bin/run-all-tests.sh
Shell
apache-2.0
4,572
#!/bin/bash set -v -x time echo {1..30000} > /dev/null LogFile=$TMP/temp.log # To get output of time, {} codes and redirect FD2. { time echo {1..30000} > /dev/null; } 2> $LogFile # Define time format. TIMEFORMAT='%R seconds %P%% CPU usage' time echo {1..30000} > /dev/null
djsilenceboy/LearnTest
Shell_Test/builtin_time.sh
Shell
apache-2.0
277
# Copyright © 2017 Feature.su. All rights reserved. # Licensed under the Apache License, Version 2.0 cd /tmp wget --no-check-certificate https://download.suhosin.org/suhosin-0.9.38.tar.gz tar -xvzf ./suhosin-0.9.38.tar.gz cd suhosin-0.9.38 phpize ./configure make make install echo 'extension=suhosin.so' > /etc/php.d/s...
faew/linux.feature
script/centos7/15-install-php-suhosin.sh
Shell
apache-2.0
522
#!/bin/bash /usr/sbin/mysqld & until echo "GRANT ALL ON *.* TO admin@'%' IDENTIFIED BY 'password' WITH GRANT OPTION; FLUSH PRIVILEGES" | mysql --password=password do echo "Waiting for mysql to come up." sleep 1 done /usr/sbin/sshd -D
brosander/pentaho-docker
common/mysql/mysqlStartup.sh
Shell
apache-2.0
238
#!/bin/bash # Copyright 2017 gRPC authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed t...
msmania/grpc
tools/internal_ci/linux/sanitizer/grpc_cpp_tsan.sh
Shell
apache-2.0
803
#!/bin/bash set -e source /usr/local/src/manila-ci/jobs/utils.sh ensure_branch_supported || exit 0 # Deploy devstack vm /usr/local/src/manila-ci/jobs/deploy_devstack_vm.sh source /home/jenkins-slave/runs/devstack_params.$ZUUL_UUID.manila.txt # Run devstack /usr/local/src/manila-ci/jobs/run_devstack.sh run_ssh_cmd_...
rbuzatu90/manila-ci
jobs/handled_share_servers/initialize.sh
Shell
apache-2.0
883
#! /bin/bash # Source this file into your shell to enable enhancing your shell with # 'FuzzySnake'. ## `fzd`: select and go to a directory function fzd() { # One-liner version: cd $(fz --stdout --single-selection -q -d || echo ".") local DESTDIR=$(fz --stdout --single-selection -d $@ || echo "") if [ -n "...
jeetsukumaran/fuzzysnake
fztricks-bash/fztricks.paths.bash
Shell
apache-2.0
1,693
#!/bin/bash ########################################################################### # a2o Essential Puppet Modules # #-------------------------------------------------------------------------# # Copyright (c) Bostjan Skufca # #---...
a2o/puppet-modules-a2o-essential
modules/a2o-essential-linux-openssl/templates/install-openssl-1.0.1.sh
Shell
apache-2.0
2,082
cd ../ [ -d log ] || mkdir log java -cp monitoring-service/target/*:monitoring-service/target/lib/* com.flipkart.server.monitor.MonitoringService monitoring-service/config/monitoring-service.yml > log/monitoring-service.log 2>&1 & cd -
krishnakanthpps/loader
scripts/start-monitoring-service.sh
Shell
apache-2.0
236
#!/bin/bash if [ ${DIB_DEBUG_TRACE:-0} -gt 0 ]; then set -x fi set -eu set -o pipefail INTERFACE=${1:-} #optional, if not specified configure all available interfaces ENI_FILE="/etc/network/interfaces" PATH=/sbin:$PATH if [ -d "/etc/network" ]; then CONF_TYPE="eni" elif [ -d "/etc/sysconfig/network-scripts/...
CSC-IT-Center-for-Science/diskimage-builder
elements/dhcp-all-interfaces/install.d/dhcp-all-interfaces.sh
Shell
apache-2.0
2,472
#!/bin/sh ############################################################################### PATH=/bin:/usr/bin:/usr/sbin:/usr/etc:/sbin:/etc tempdir="/tmp" umask 022 censored_ls() { ls "$@" | egrep -v '^\.|/\.|CVS|RCS|SCCS|linux\.d|solaris\.d|hp_ux\.d|example|service' } compare_or_re...
hankwing/Squirrel
library/acl/dist/master/setup.sh
Shell
apache-2.0
3,540
#!/usr/bin/env bash # Copyright 2021 gRPC authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
ejona86/grpc
tools/internal_ci/linux/grpc_xds_url_map_python.sh
Shell
apache-2.0
5,540
#!/bin/bash install_utils () { cp -Rf /home/centos/.kube /root/.kube yum install -y wget yum install -y git yum install -y java-1.8.0-openjdk* yum install -y protobuf* yum install -y cmake wget http://repos.fedorapeople.org/repos/dchen/apache-maven/epel-apache-maven.repo -O /etc/yum.repos.d/epel-apache...
Chaffelson/whoville
whoville/resources/v2/demo-ozone-k8s/deploy-ozone.sh
Shell
apache-2.0
10,266
#!/bin/bash docker rm -f libvirt-client docker rmi libvirt-client docker build -t libvirt-client .
nicholasvmoore/docker-libvirt
libvirt-client/build.sh
Shell
apache-2.0
99
#!/bin/bash # create an ubuntu ppa package. this is intended to be run from the instance # created by the Vagrantfile so you may need to modify it if that's not you set -e function confirm_or_die() { echo "$1" read -p '[y/n] ' -sn1 r echo '' if [ "$r" = "y" ]; then return elif [ "$r" = ...
ketralnis/lua_sandbox
ppa.sh
Shell
bsd-2-clause
1,816
#!/bin/bash set -x set -e SETUP_SRC=$(realpath ${BASH_SOURCE[0]}) SETUP_DIR=$(dirname $SETUP_SRC) TOP_DIR=$(realpath $SETUP_DIR/..) for ARG in RACKSPACE_USER RACKSPACE_API; do if [ -z "${!ARG}" ]; then echo "$ARG not set" exit 1 else echo "$ARG='${!ARG}'" fi done BASE=$TOP_DIR/build/package-xilinx echo $BA...
mithro/HDMI2USB-litex-firmware
.travis/package-xilinx-step3-upload.sh
Shell
bsd-2-clause
688
PKG_NAME="obmixer" PKG_VER="0.11" PKG_REV="1" PKG_DESC="A volume control tray icon" PKG_CAT="Desktop" PKG_DEPS="alsa-lib,gtk" PKG_LICENSE="gpl-3.0.txt" # the package source files PKG_SRC="http://jpegserv.com/linux/$PKG_NAME/$PKG_NAME-$PKG_VER.tar.bz2" build() { # extract the sources tarball extract_tarball $PKG_NAM...
dimkr/roar-ng-ii
skeleton/rootfs/var/packages/desktop/obmixer.sh
Shell
bsd-2-clause
808
#!/bin/sh # # Use after successful run of ./build.sh to update the rpm source package. # Usage: ./update-rpm-package.sh <path-to-rpm-package-directory> die() { echo "$@" exit 1 } rpmdir="$1" packagename="$(basename "$1")" [ -f "$rpmdir/$packagename.spec" ] || die "$rpmdir/$packagename.spec not found" echo "remove ...
dhuseby/cargo-bootstrap
update-rpm-package.sh
Shell
bsd-2-clause
4,590
#!/usr/bin/env bash main() { export AMQ_PROTOCOL_CODEGEN_DIR="$(dirname "${0}" | xargs realpath)/protocol/src/" export AMQ_PROTOCOL_CODEGEN_FILE="generated" cargo build --manifest-path protocol/Cargo.toml --features=codegen-internal rustfmt "${AMQ_PROTOCOL_CODEGEN_DIR}/${AMQ_PROTOCOL_CODEGEN_FILE}.rs"...
Keruspe/amq-protocol
regen-code.sh
Shell
bsd-2-clause
336
#!/usr/bin/env bash set -o xtrace set -o pipefail set -o errexit GIT_REV=`git rev-parse --short HEAD` BUILD_DATE=`date -u +"%Y-%m-%dT%H:%M:%SZ"` REPO="fingershock/haproxy-base" build() { dockerfile=$1 docker build \ --build-arg VCS_REF=$GIT_REV \ --build-arg BUILD_DATE=$BUILD_DATE \ ...
iJJi/docker-haproxy-base
build.sh
Shell
bsd-3-clause
1,184
#!/bin/bash # Runs all example python script in the current folder, # prepending a matplotlib backend, such that plotting # code in the example doesn't block the script, or fail # the execution on servers without DISPLAY # create temp file for all example scripts LIST=$(mktemp /tmp/kernel_exp_family_examples.XXXXXXXX...
karlnapf/kernel_exp_family
kernel_exp_family/examples/run_all.sh
Shell
bsd-3-clause
939
#!/bin/bash # # ./progress.sh # # Shows animated progress bar. # returns 255 when progress exceeds maxprogress # source $(dirname $0)/../simple_curses.sh progress=0 maxprogress=97 main(){ window "waiting for bar to move" "red" "33%" "blue" progressbar 20 $progress $maxprogress "cyan" "blue" endwin } u...
metal3d/bashsimplecurses
examples/progress.sh
Shell
bsd-3-clause
458
#!/bin/bash TMP=$(mktemp -d) JEKYLL_ENV=production bundle exec jekyll b --safe cp -r _site/. $TMP cd $TMP git init git remote add origin https://github.com/5hubh4m/5hubh4m.github.io git add -A git commit -m "Publish." git push origin master -f cd .. rm -rf $TMP
5hubh4m/5hubh4m.github.io
build.sh
Shell
bsd-3-clause
261
#!/opt/local/bin/tcsh -f # Script for the simulation # # the location of benchmark set path = ../bin set dpath = ../data #benchmark name set benchmark = djpeg set data = testimg.jpg set out = testout.ppm #benchmark options set options = "-dct int -ppm" set input = "${dpath}/${data}" set output = "-outfile ${dpath}/${ou...
JianpingZeng/xcc
xcc/test/mediabench4/jpeg/dinero/scripts/run_decode.sh
Shell
bsd-3-clause
802
#! /bin/bash NGINX_ID=$(docker run -d \ -p 8001:80 \ -v `pwd`/dist/hpc/html/:/usr/share/nginx/www \ -v `pwd`/sites-enabled:/etc/nginx/sites-enabled \ noteed/nginx) NGINX_IP=$(docker inspect $NGINX_ID | grep IPAddress | awk '{ print $2 }' | tr -d ',"') echo nginx: echo " container: $NGINX_ID" echo " address: $...
noteed/covered
nginx.sh
Shell
bsd-3-clause
330
#!/bin/bash -x ulimit -n 4096 mkdir x3djson export CLASSPATH=`ls -d $PWD/lib/*jar $PWD | tr '\n\r' ::` cp -r Merged2/*class x3djson/. javac JsonGenerationFromJaxbClasses.java find x3djson -name '*class'| sed 's/.class//' | sed 's/\//./' | xargs java JsonGenerationFromJaxbClasses mkdir schema mv x3djson.*.json schema fi...
coderextreme/json2jsonschema
schemagen.sh
Shell
bsd-3-clause
630
#!/bin/bash pushd $LOCAL_TMP_DIR status=0 rm -f u21_warnings.log u21_infos.log fw -p $LOCAL_TEST_DIR/u21_cfg.py for file in u21_warnings.log u21_infos.log do sed -i -r -f $LOCAL_TEST_DIR/filter-timestamps.sed $file diff $LOCAL_TEST_DIR/unit_test_outputs/$file $LOCAL_TMP_DIR/$file if [ $? -ne 0 ] then e...
gartung/fnal-art
art/test/Framework/Services/Message/u21.sh
Shell
bsd-3-clause
405
# This script cleans up the old test coverage and re-runs it. # Clean coverage! make clean_cov # Compile the coverage version again. make CFG=coverage # Run the tests of the coverage build. valgrind bin/coverage/main -t # Create the HTML coverage site. make gcov # Open it! xdg-open cov/index.html
brenns10/cky
coverage.sh
Shell
bsd-3-clause
299
#!/bin/sh set -e xctool -workspace ShiftScheduler -scheme ShiftScheduler build test
kzjeef/ShiftScheduler-iOS
travis/script.sh
Shell
bsd-3-clause
86
#!/bin/bash set -e CURL_HELPER_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" CURL_HELPER_LOG_PATH="$CURL_HELPER_PATH/../log" source "$CURL_HELPER_PATH/variables.sh" source "$CURL_HELPER_PATH/error_handling_funcs.sh" source "$CURL_HELPER_PATH/files_helper_funcs.sh" trap "trap_ctrlc" 2 # Predix Dev Bootstra...
emanuelbadaceanu/Thoth
predix machine edison/predix scripts/bash/scripts/curl_helper_funcs.sh
Shell
mit
7,834
#!/bin/sh # Clears or refreshes all kinds of cache # Clear all doctrine cache ./app/console doctrine:cache:clear-metadata ./app/console doctrine:cache:clear-query ./app/console doctrine:cache:clear-result # Clear symfony cache sudo chmod -R 777 /tmp/janus/cache sudo chmod -R 777 /var/log/janus ./app/console cache:cle...
mrvanes/janus
bin/prepareCache.sh
Shell
mit
322
#!/bin/bash ########################################################################## # This script starts the installation and configuration process of the # specified desktop and finally it shows a log file which contains # reported installation steps and posible errors. # @author César Rodríguez González # @version...
cesar-rgon/desktop-app-installer
app-scripts/desktops/lubuntu.sh
Shell
mit
759
#!/bin/bash set -e set -x DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR/.. if [[ `uname` == Darwin ]]; then PLATFORM=MacOS else PLATFORM=Linux fi if [ "$1" == "--nogen" ]; then NOGEN="true" else NOGEN="false" fi CONFIGURATION="Release" if [ "$1" == "--debug" || "$2" == "--debug" ]; then ...
dellis1972/Protobuild
Build/rebuild.sh
Shell
mit
2,784
#!/usr/bin/env bash if ! command -v pip; then echo "Installing Pip" curl --silent --show-error --retry 5 https://bootstrap.pypa.io/get-pip.py | python fi echo "Pip running" pip install --upgrade pip # pip install git+git://github.com/Lokaltog/powerline pip install awscli
rafaellucio/dotfiles
pip/install.sh
Shell
mit
284
#!/bin/bash export HOSTNAME="localhost" mkdir backends1 backends2 cat <<EOT >> backends1/1.yaml key: foobar database: host: 127.0.0.1 password: p@sSw0rd port: "3306" username: confd EOT cat <<EOT >> backends1/2.yaml upstream: app1: 10.0.1.10:8080 app2: 10.0.1.11:8080 EOT cat <<EOT >> backends2/1.yaml nes...
rancher/confd
integration/file/test.sh
Shell
mit
711
#!/bin/sh # base16-shell (https://github.com/chriskempson/base16-shell) # Base16 Shell template by Chris Kempson (http://chriskempson.com) # Tomorrow Night scheme by Chris Kempson (http://chriskempson.com) color00="2d/2d/2d" # Base 00 - Black color01="f2/77/7a" # Base 08 - Red color02="99/cc/99" # Base 0B - Green colo...
tulhan/.files
config/base16-shell/scripts/base16-tomorrow-night-eighties.sh
Shell
cc0-1.0
3,967
#!/bin/bash echo echo "CLOSING OPENCPN..." echo pkill -9 opencpn echo echo "UPDATING PACKAGE LISTS..." echo sudo apt-get -qq update if [ $? -ne 0 ]; then echo read -p "#### ERROR. ABORTING, PRESS ENTER TO EXIT ####" exit 1 fi echo echo "UPDATING OPENCPN..." echo sudo apt-get -qq install opencpn if [ $? -ne 0 ]; then...
sailoog/openplotter
update/update_OpenCPN.sh
Shell
gpl-2.0
744
#!/bin/bash . ./test-common.sh cleanup 8 # ------------------------------- Test 8 ------------------------------------- preptest test.log 8 1 1 $RLR test-config.8 --force checkoutput <<EOF test.log 0 test.log.1.gz 1 zero scriptout 0 foo EOF checkmail test.log zero
sergey-v/logrotate
test/test-0008.sh
Shell
gpl-2.0
270
#!/bin/bash #../espresso-nodh -t ../Input/Z5xp1.espresso > Z5xp1_nodh.out /usr/bin/time -o Z5xp1_nodh.time ../espresso-nodh -t ../Input/Z5xp1.espresso > /dev/null #../espresso-dh -t ../Input/Z5xp1.espresso > Z5xp1_dh.out /usr/bin/time -o Z5xp1_dh.time ../espresso-dh -t ../Input/Z5xp1.espresso > /dev/null #/usr/bin/tim...
emeryberger/DieHard
src/archipelago/benchmarks/espresso/data/run-Z5xp1.sh
Shell
gpl-2.0
399
#!/bin/sh # Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB # This file is public domain and comes with NO WARRANTY of any kind # # Script to start the MySQL daemon and restart it if it dies unexpectedly # # This should be executed in the MySQL base directory if you are using a # binary insta...
hasegaw/ref-mysql-labs-tplc
scripts/mysqld_safe.sh
Shell
gpl-2.0
25,926
#!/usr/local/bin/bash CurrentDate=$(date |awk '{print $1, $2, $3, $6}') TriggerDate=$(cat /mnt/Data-2x1.5TbMirroredDrives/UnixF/pricetrigger/trigger |awk '{print $1, $2, $3, $6}') Trigger=$(cat /mnt/Data-2x1.5TbMirroredDrives/UnixF/pricetrigger/trigger) #TriggerGrep=$(cat trigger |grep done) TriggerGrep=$(grep -c "don...
pdanshov/Shell-Scripts
pricetrigger/detect.sh
Shell
gpl-2.0
1,285
#! /bin/bash # # TALPA test script # # Copyright (C) 2004-2011 Sophos Limited, Oxford, England. # # This program is free software; you can redistribute it and/or modify it under the terms of the # GNU General Public License Version 2 as published by the Free Software Foundation. # # This program is distributed in the h...
paperclip/talpa
tests/chk_fsexclusion1.sh
Shell
gpl-2.0
943
#!/bin/bash set -e # This script assumes Debian GNU/Linux on WSL. # Derived from https://github.com/JetBrains/clion-wsl/blob/master/ubuntu_setup_env.sh SSHD_PORT=2222 SSHD_FILE=/etc/ssh/sshd_config SUDOERS_FILE=/etc/sudoers # 0. update package lists sudo apt-get update sudo apt-get install -y gnupg2 wget sudo apt-ge...
swirlycloud/swirly
script/clionwsl.sh
Shell
gpl-2.0
2,159
#!/bin/sh php composer.phar self-update php composer.phar install php EPub.Test.Example.php
ferranfg/mpl-publisher
vendor/wallabag/phpepub/legacy/install.sh
Shell
gpl-2.0
92
#!/bin/bash # ############################################################################### # # Build a binary package on Windows with MinGW and MSYS # # Set the paths where MinGW, Mingw-w32, or MinGW-w64 are installed. If both # MinGW and MinGW-w32 are specified, MinGW-w32 will be used. If there is no # 32-bit or 64...
cvpcs/android_external_xz
windows/build.bash
Shell
gpl-3.0
6,252
#!/bin/bash SCRIPT_LOC="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" NAME=$(basename $(dirname "${BASH_SOURCE[0]}") ) if [ -d "$ANDROID_HOME" ]; then # for backwards compatbility export ANDROID_SDK=$ANDROID_HOME else echo "ANDROID_HOME is not set, trying ANDROID_SDK:" if [ -d "$ANDROID_SDK" ]; the...
FreeDao/getintouchmaps
OsmAnd/old-ndk-build.sh
Shell
gpl-3.0
994
#!/bin/sh # 1.1 xcstatistics test to check SerDes Ring with LBA antennas # 24-06-11, M.J Norden # LBA input with antenna killall beamctl rspctl --rcuprsg=0 rspctl --wg=0 rspctl --splitter=0 swlevel 3 sleep 5 beamctl --antennaset=LBA_INNER --rcus=0:191 --rcumode=3 --subbands=100:110 --beamlets=0:10 --anadir=0,1.5708,A...
kernsuite-debian/lofar
LCU/StationTest/test/xcstatistics/xcstatistics_lba_rcu192.sh
Shell
gpl-3.0
714
#! /bin/sh # Copyright (C) 2012 Red Hat, Inc. # This file is part of elfutils. # # This file is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later ver...
groleo/elfutils
tests/run-nm-self.sh
Shell
gpl-3.0
1,024
#!/usr/bin/env bash # This script file is used to test the consistency of files saved # from KicadMod python class. Spaces and line positioning will be ignored # example of use: ./test_kicad_mod.sh `find /usr/share/kicad/footprints -name *.kicad_mod` if [[ $# < 1 ]]; then echo "Usage: $0 kicad_mod_files" exi...
KiCad/kicad-library-utils
pcb/test_kicad_mod.sh
Shell
gpl-3.0
1,936
#!/bin/bash #PBS -k o #PBS -l nodes=1:ppn=16,vmem=250gb,walltime=48:00:00 #PBS -M mmuscare@indiana.edu #PBS -m abe #PBS -j oe cd /N/dc2/projects/Lennon_Sequences/2016_eDNA module load gcc/4.9.2 module load boost/1.52.0 module load mothur/1.38.1 mothur eDNA.Bacteria.part1.416.Batch
LennonLab/relicDNA
mothur/code/eDNA.Bacteria.part1.416.sh
Shell
gpl-3.0
282
#!/bin/bash . /etc/profile RAILS_DIR=$1 RAILS_ENV=$2 if [ -z $RAILS_DIR ]; then RAILS_DIR=/srv/rails/kp-dev fi if [ -z $RAILS_ENV ]; then RAILS_ENV=development fi if [ ! -d $RAILS_DIR/lib/tasks ]; then echo "No rails-dir $RAILS_DIR" exit -1 fi cd $RAILS_DIR echo -n "Begin crontab task to import file...
kentorgbg/kulturproceduren
script/crontab_import_extens.sh
Shell
agpl-3.0
490
export JOB_SUCCESS="true"
rdo-infra/ci-config
jenkins-v2/jobs/scripts/export-success-true.sh
Shell
apache-2.0
26
#!/bin/bash # Pushes fat Jar to AWS S3 under bucket named spark-lucenerdd # Assembly Jar sbt assembly # Push to S3 (assuming aws-cli is properly setup) SPARK_LUCENERDD_VERSION=`cat version.sbt | awk '{print $5}' | xargs` echo "Pushing Spark LuceneRDD version ${SPARK_LUCENERDD_VERSION} to S3" aws s3 cp target/scala-2...
zouzias/spark-lucenerdd-aws
scripts/s3-push-jar.sh
Shell
apache-2.0
411